%global debug_package %{nil}

Name:           ocamlmod
Version:        0.0.9
Release:        1%{?dist}
Summary:        Generate OCaml modules from source files

License:        LGPLv2+ with exceptions
URL:            https://forge.ocamlcore.org/projects/ocamlmod/
Source0:        https://github.com/gildor478/ocamlmod/archive/%{version}/%{name}-%{version}.tar.gz

# use a setup.ml generated by `oasis setup`,
# such that the package doesn't depend on oasis,
# which is not yet packaged in fedora
Patch0:         ocamlmod-setupml.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit
BuildRequires:  help2man

%description
ocamlmod allows to create OCaml modules from source files.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1


%build
ocaml setup.ml -configure \
    --destdir $RPM_BUILD_ROOT \
    --prefix %{_prefix}
ocaml setup.ml -build


%install
ocaml setup.ml -install

# generate manpage
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
help2man $RPM_BUILD_ROOT%{_bindir}/ocamlmod \
    --output $RPM_BUILD_ROOT%{_mandir}/man1/ocamlmod.1 \
    --name "Generate OCaml modules from source files" \
    --version-string %{version} \
    --no-info

%check
ocaml setup.ml -test


%files
%doc README.txt
%{_bindir}/ocamlmod
%{_mandir}/man1/ocamlmod.1*


%changelog
* Fri Nov 10 2017 Andy Li <andy@onthewings.net> - 0.0.9-1
- Initial RPM release.
